Bug 651206 (CVE-2010-3709) - CVE-2010-3709 php: NULL pointer dereference in ZipArchive::getArchiveComment
Summary: CVE-2010-3709 php: NULL pointer dereference in ZipArchive::getArchiveComment
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3709
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 649186 650877 651953 670461
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-09 00:28 UTC by Vincent Danen
Modified: 2019-09-29 12:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-04 09:08:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0195 normal SHIPPED_LIVE Moderate: php security update 2011-02-03 18:56:12 UTC

Description Vincent Danen 2010-11-09 00:28:44 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-3709 to
the following vulnerability:

Name: CVE-2010-3709
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-3709
Assigned: 20101001
Reference: SREASONRES:20101105 PHP 5.3.3/5.2.14 ZipArchive::getArchiveComment NULL Pointer Deference
Reference: URL: http://securityreason.com/achievement_securityalert/90
Reference: EXPLOIT-DB:15431
Reference: URL: http://www.exploit-db.com/exploits/15431
Reference: CONFIRM: http://svn.php.net/viewvc/php/php-src/branches/PHP_5_2/ext/zip/php_zip.c?view=log
Reference: CONFIRM: http://svn.php.net/viewvc/php/php-src/branches/PHP_5_3/ext/zip/php_zip.c?view=log
Reference: MANDRIVA:MDVSA-2010:218
Reference:
URL: http://www.mandriva.com/security/advisories?name=MDVSA-2010:218

The ZipArchive::getArchiveComment function in PHP 5.2.x through 5.2.14
and 5.3.x through 5.3.3 allows context-dependent attackers to cause a
denial of service (NULL pointer dereference and application crash) via
a crafted ZIP archive.

Comment 1 Vincent Danen 2010-11-09 00:38:37 UTC
Created php tracking bugs for this issue

Affects: fedora-all [bug 649186]

Comment 11 Vincent Danen 2010-12-10 21:05:39 UTC
This is now corrected upstream in 5.3.4 and 5.2.15.

Comment 13 errata-xmlrpc 2011-02-03 18:56:28 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0195 https://rhn.redhat.com/errata/RHSA-2011-0195.html

Comment 14 Vincent Danen 2011-02-03 19:25:18 UTC
Statement:

This issue did not affect the version of PHP as shipped with Red Hat Enterprise Linux 3, 4 or 5.


Note You need to log in before you can comment on or make changes to this bug.